#!/bin/bash

if ! command -v dasel &> /dev/null
then
    echo "dasel could not be found"
    exit
fi

VERSION=$(dasel -f pack.toml 'version')
read -ep "Enter changelog: " CHANGELOG

curl -iX POST \
  -H "Authorization:$MODRINTH_TOKEN" -H "Content-Type:multipart/form-data" -H "Accept:application/json" \
  -F "data={\"file_parts\":[\"file\"], \"version_number\":\"$VERSION\", \"version_title\":\"$VERSION\", \"version_body\":\"$CHANGELOG\", \"loaders\":[\"fabric\"], \"game_versions\":[\"1.19.2\"], \"version_type\":\"release\", \"project_id\":\"KmiWHzQ4\", \"featured\":false, \"dependencies\":[]}" \
  -F "file=@Beyond the Skies-$VERSION.mrpack" https://api.modrinth.com/v2/version
